Name:          tlddoc
Version:       1.3
Release:       %mkrel 3
Summary:       Tag Library Documentation Generator
Group:         Development/Java
License:       BSD
Url:           http://taglibrarydoc.dev.java.net/
Source0:       http://mirrors.ibiblio.org/pub/mirrors/maven2/taglibrarydoc/tlddoc/%{version}/tlddoc-%{version}-sources.jar
Source1:       http://mirrors.ibiblio.org/pub/mirrors/maven2/taglibrarydoc/tlddoc/%{version}/tlddoc-%{version}.pom
Source2:       tlddoc-%{version}-autogeneratedfiles.tar.gz
Patch0:        tlddoc-%{version}-manifest.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-ant-plugin

BuildRequires: forge-parent

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Tag Library Documentation Generator is a utility for automatically generating javadoc-style documentation for
JavaServer Pages (JSP) Technology Tag Libraries. It accepts a set of tag libraries as input, and generates a set of
HTML files as output. It can also be used to generate tag library documentation for JavaServer Faces UI components.
Included in the output is a full description of each defined tag library, the tags contained within those tag
libraries, and how to use those tags.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -T -q -c

mkdir -p src/main/java src/main/resources
(
  cd src/main/java
  jar -xf %{SOURCE0}
  rm -rf META-INF
)

cp %{SOURCE1} pom.xml
%patch0 -p0

# clone source directory structure
find src/ -type d | while read dirname ; do
  newdirname=`echo $dirname | sed "s:src/main/java:src/main/resources:g"`
  mkdir -p $newdirname
done

# copy all data files except *.java sources
find src/ -type f | grep -v "\.java" | grep -v "\.jj" | grep -v "\.jjt" | while read cpfrom ; do
  cpto=`echo $cpfrom | sed "s:src/main/java:src/main/resources:g"`
  cp $cpfrom $cpto
done

%build

mvn-rpmbuild ant:ant install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/tlddoc.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.3-3.mga3
+ Revision: 384605
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 17 2012 gil <gil> 1.3-2.mga2
+ Revision: 197555
- installed unversioned library
- build fix added missing data files

* Sat Oct 29 2011 gil <gil> 1.3-1.mga2
+ Revision: 159544
- imported package tlddoc

